Subject: pkg/20448: libiconv not built but needed
To: None <>
From: None <>
List: netbsd-bugs
Date: 02/20/2003 09:20:35
>Number:         20448
>Category:       pkg
>Synopsis:       libiconv not installed but needed
>Confidential:   yes
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Thu Feb 20 09:21:00 PST 2003
>Release:        NetBSD 1.6
System: NetBSD 1.6 NetBSD 1.6 (JCR-20020927) #3: Sat Sep 28 13:40:20 PDT 2002 i386
Architecture: i386
Machine: i386
I noticed that converters/libiconv/ only checks
for the include file.

For example, gtexinfo wouldn't build:
/usr/bin/ld: cannot find -liconv
Try to build something that uses converters/libiconv/
but no actual library installed.
Please add a mk/ option to force that
converters/libiconv is always required when using that

And here is my workaround which should also be applied:

RCS file: /cvsroot/pkgsrc/converters/libiconv/,v
retrieving revision 1.3
diff -b -u -r1.3
---	2002/09/10 16:06:37	1.3
+++	2003/02/20 17:09:00
@@ -11,7 +11,7 @@
 .if defined(USE_GNU_ICONV)
-.  if exists(/usr/include/iconv.h)
+.  if exists(/usr/include/iconv.h) && exists(/usr/lib/
 .  else